Skip to content

Perform various operations for Symitar parameters.

Operations

getPayCalc

POST

Retrieve PayCalc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

PayCalcPaymentCalculationTypeintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getPayCalc
POST /nexum/627/2022.01/parameter/getPayCalc HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PayCalcPaymentCalculationType": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPayCalcSelectFields

POST

Retrieve PayCalc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

PayCalcPaymentCalculationTypeintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getPayCalcSelectFields
POST /nexum/627/2022.01/parameter/getPayCalcSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PayCalcPaymentCalculationType": 0,
  "SelectableFields": {
    "PayCalcFields": {
      "PaymentCalculationType": true,
      "Description": true,
      "PaymentMinimum": true
    }
  }
}

getPayCalcPagedList

POST

Retrieve PayCalc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getPayCalcPagedList
POST /nexum/627/2022.01/parameter/getPayCalcPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPayCalcListSelectFields

POST

Retrieve PayCalc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getPayCalcListSelectFields
POST /nexum/627/2022.01/parameter/getPayCalcListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllPayCalcFields": true
  }
}

searchPayCalcSelectFields

POST

Search PayCalc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/searchPayCalcSelectFields
POST /nexum/627/2022.01/parameter/searchPayCalcSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllPayCalcFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPayCalcPagedListSelectFields

POST

Retrieve PayCalc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getPayCalcPagedListSelectFields
POST /nexum/627/2022.01/parameter/getPayCalcPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPayCalcFields": true
  }
}

searchPayCalcPagedSelectFields

POST

Search PayCalc parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/searchPayCalcPagedSelectFields
POST /nexum/627/2022.01/parameter/searchPayCalcPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "string",
  "SelectableFields": {
    "IncludeAllPayCalcFields": true
  }
}

updatePayCalcByID

POST

Update PayCalc parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

PayCalcPaymentCalculationTypeintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/updatePayCalcByID
POST /nexum/627/2022.01/parameter/updatePayCalcByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PayCalcPaymentCalculationType": 0,
  "PayCalcUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}